Index: /trunk/desktop/mainWindow.rbfrm
===================================================================
--- /trunk/desktop/mainWindow.rbfrm	(revision 8)
+++ /trunk/desktop/mainWindow.rbfrm	(revision 9)
@@ -1172,4 +2630,256 @@
 
 #tag WindowCode
+	#tag Method, Flags = &h0
+		Sub disableControls()
+		  select case ICSSerialPort1.carType
+		    
+		  Case "MR-03"
+		    //Enable any controls that may have been disabled
+		    PopupMenu_BackTiming.Enabled = True
+		    StaticText_BackTiming.Enabled = True
+		    
+		    Slider_STGain.Enabled = True
+		    StaticText_STGain.Enabled = True
+		    
+		    Slider_THGain.Enabled = True
+		    StaticText_THGain.Enabled = True
+		    
+		    
+		  Case "dNaNo"
+		    //Disable unused controls and set them to custom
+		    PopupMenu_BackTiming.Enabled = False
+		    StaticText_BackTiming.Enabled = False
+		    PopupMenu_BackTiming.ListIndex = PopupMenu_BackTiming.ListCount
+		    
+		    //Enable any controls that may have been disabled
+		    Slider_STGain.Enabled = True
+		    StaticText_STGain.Enabled = True
+		    
+		    Slider_THGain.Enabled = True
+		    StaticText_THGain.Enabled = True
+		    
+		  Case "ASF"
+		    //Disable unused controls and set them to custom
+		    PopupMenu_BackTiming.Enabled = False
+		    StaticText_BackTiming.Enabled = False
+		    PopupMenu_BackTiming.ListIndex = PopupMenu_BackTiming.ListCount
+		    
+		    Slider_STGain.Enabled = False
+		    StaticText_STGain.Enabled = False
+		    Slider_STGain.Value = 255
+		    
+		    Slider_THGain.Enabled = False
+		    StaticText_THGain.Enabled = False
+		    Slider_THGain.Value = 255
+		    
+		    
+		  end select
+		End Sub
+	#tag EndMethod
+
+	#tag Method, Flags = &h0
+		Sub updateCarScreen()
+		  //Use this method to update the car screen
+		  
+		  //Update Gain
+		  Select Case ICSSerialPort1.byte03
+		    
+		  Case chrb(&h32)
+		    PopupMenu_Gain.ListIndex = 0
+		    
+		  Case chrb(&h64)
+		    PopupMenu_Gain.ListIndex = 1
+		    
+		  Case chrb(&hFF)
+		    PopupMenu_Gain.ListIndex = 2
+		    
+		  Else
+		    PopupMenu_Gain.ListIndex = 3
+		    
+		  End Select
+		  
+		  //Update Speed
+		  Select Case ICSSerialPort1.Byte04
+		    
+		  Case chrb(&h0A)
+		    PopupMenu_Speed.ListIndex = 0
+		    
+		  Case chrb(&h14)
+		    PopupMenu_Speed.ListIndex = 1
+		    
+		  Case chrb(&h1E)
+		    PopupMenu_Speed.ListIndex = 2
+		    
+		  Case chrb(&h28)
+		    PopupMenu_Speed.ListIndex = 3
+		    
+		  Case chrb(&hFF)
+		    PopupMenu_Speed.ListIndex = 4
+		    
+		  Else
+		    PopupMenu_Speed.ListIndex = 5
+		    
+		  End Select
+		  
+		  //Update punch
+		  Slider_Punch.Value = asc(ICSSerialPort1.Byte05)
+		  
+		  //Update DBAND
+		  Select Case ICSSerialPort1.Byte06
+		    
+		  Case chrb(&h01)
+		    PopupMenu_DBand.ListIndex = 0
+		    
+		  Case chrb(&h02)
+		    PopupMenu_DBand.ListIndex = 1
+		    
+		  Case chrb(&h03)
+		    PopupMenu_DBand.ListIndex = 2
+		    
+		  Else
+		    PopupMenu_DBand.ListIndex = 3
+		    
+		  End Select
+		  
+		  //Update Dump
+		  Select Case ICSSerialPort1.Byte07
+		    
+		  Case chrb(&h01)
+		    PopupMenu_Dump.ListIndex = 0
+		    
+		  Case chrb(&h02)
+		    PopupMenu_Dump.ListIndex = 1
+		    
+		  Else
+		    PopupMenu_Dump.ListIndex = 2
+		    
+		  End Select
+		  
+		  //Update DFREQ
+		  Select Case ICSSerialPort1.Byte08
+		    
+		  Case chrb(&h40)
+		    PopupMenu_DFreq.ListIndex = 0
+		    
+		  Case chrb(&h78)
+		    PopupMenu_DFreq.ListIndex = 1
+		    
+		  Case chrb(&hFF)
+		    PopupMenu_DFreq.ListIndex = 2
+		    
+		  Else
+		    PopupMenu_DFreq.ListIndex = 3
+		    
+		  End Select
+		  
+		  //Update Nuetral
+		  //Nuetral is defined by 2 bytes
+		  Select Case ICSSerialPort1.Byte11
+		    
+		  Case chrb(&h82)
+		    if ICSSerialPort1.Byte12 = chrb(&h7C) then
+		      PopupMenu_Nuetral.ListIndex = 0
+		    else
+		      PopupMenu_Nuetral.ListIndex = 3
+		    end if
+		    
+		  Case chrb(&h88)
+		    if ICSSerialPort1.Byte12 = chrb(&h78) then
+		      PopupMenu_Nuetral.ListIndex = 1
+		    else
+		      PopupMenu_Nuetral.ListIndex = 3
+		    end if
+		    
+		  Case chrb(&h94)
+		    if ICSSerialPort1.Byte12 = chrb(&h6C) then
+		      PopupMenu_Nuetral.ListIndex = 2
+		    else
+		      PopupMenu_Nuetral.ListIndex = 3
+		    end if
+		    
+		  Else
+		    PopupMenu_Nuetral.ListIndex = 3
+		    
+		  End Select
+		  
+		  //Update Vertial Intertia
+		  Select Case ICSSerialPort1.Byte13
+		    
+		  Case chrb(&h01)
+		    PopupMenu_VerticalInteria.ListIndex = 0
+		    
+		  Case chrb(&h02)
+		    PopupMenu_VerticalInteria.ListIndex = 1
+		    
+		  Case chrb(&h03)
+		    PopupMenu_VerticalInteria.ListIndex = 2
+		    
+		  Case chrb(&h04)
+		    PopupMenu_VerticalInteria.ListIndex = 3
+		    
+		  Case chrb(&hFF)
+		    PopupMenu_VerticalInteria.ListIndex = 4
+		    
+		  Else
+		    PopupMenu_VerticalInteria.ListIndex = 5
+		    
+		  End Select
+		  
+		  //Update Back Timing
+		  Select Case ICSSerialPort1.Byte15
+		    
+		  Case chrb(&h01)
+		    PopupMenu_BackTiming.ListIndex = 0
+		    
+		  Case chrb(&h05)
+		    PopupMenu_BackTiming.ListIndex = 1
+		    
+		  Case chrb(&h0A)
+		    PopupMenu_BackTiming.ListIndex = 2
+		    
+		  Case chrb(&h14)
+		    PopupMenu_BackTiming.ListIndex = 3
+		    
+		  Case chrb(&h28)
+		    PopupMenu_BackTiming.ListIndex = 4
+		    
+		  Else
+		    PopupMenu_BackTiming.ListIndex = 5
+		    
+		  End Select
+		  
+		  //Update Steering Gain
+		  Slider_STGain.Value = asc(ICSSerialPort1.Byte16)
+		  
+		  //Update Throttle Gain
+		  Slider_THGain.Value = asc(ICSSerialPort1.Byte17)
+		End Sub
+	#tag EndMethod
+
+	#tag Method, Flags = &h0
+		Sub updateAdvancedScreen()
+		  //Update the fields on the advanced screen to match current values
+		  EditField_Byte1.Text = str(asc(ICSSerialPort1.byte01))
+		  EditField_Byte2.Text = str(asc(ICSSerialPort1.byte02))
+		  EditField_Byte3.Text = str(asc(ICSSerialPort1.byte03))
+		  EditField_Byte4.Text = str(asc(ICSSerialPort1.byte04))
+		  EditField_Byte5.Text = str(asc(ICSSerialPort1.byte05))
+		  EditField_Byte6.Text = str(asc(ICSSerialPort1.byte06))
+		  EditField_Byte7.Text = str(asc(ICSSerialPort1.byte07))
+		  EditField_Byte8.Text = str(asc(ICSSerialPort1.byte08))
+		  EditField_Byte9.Text = str(asc(ICSSerialPort1.byte09))
+		  EditField_Byte10.Text = str(asc(ICSSerialPort1.byte10))
+		  EditField_Byte11.Text = str(asc(ICSSerialPort1.byte11))
+		  EditField_Byte12.Text = str(asc(ICSSerialPort1.byte12))
+		  EditField_Byte13.Text = str(asc(ICSSerialPort1.byte13))
+		  EditField_Byte14.Text = str(asc(ICSSerialPort1.byte14))
+		  EditField_Byte15.Text = str(asc(ICSSerialPort1.byte15))
+		  EditField_Byte16.Text = str(asc(ICSSerialPort1.byte16))
+		  EditField_Byte17.Text = str(asc(ICSSerialPort1.byte17))
+		  EditField_Byte18.Text = str(asc(ICSSerialPort1.byte18))
+		End Sub
+	#tag EndMethod
+
+
 	#tag Constant, Name = defaultControlHeight, Type = Double, Dynamic = False, Default = \"20", Scope = Public
 		#Tag Instance, Platform = Mac OS, Language = Default, Definition  = \"20"
@@ -1181,23 +2891,454 @@
 #tag EndWindowCode
 
-#tag Events PushButton_General
+#tag Events PushButton_Read
 	#tag Event
 		Sub Action()
-		  PagePanel1.Value = 0
+		  ICSSerialPort1.readCar
 		End Sub
 	#tag EndEvent
 #tag EndEvents
-#tag Events PushButton_Car
+#tag Events PushButton_Write
 	#tag Event
 		Sub Action()
-		  PagePanel1.Value = 2
+		  ICSSerialPort1.writeCar
 		End Sub
 	#tag EndEvent
 #tag EndEvents
-#tag Events PushButton_Advanced
+#tag Events PushButton_Reset
 	#tag Event
 		Sub Action()
-		  PagePanel1.Value = 3
+		  ICSSerialPort1.resetCar
 		End Sub
 	#tag EndEvent
 #tag EndEvents
+#tag Events Slider_THGain
+	#tag Event
+		Sub ValueChanged()
+		  ICSSerialPort1.Byte17 = chrb(me.Value)
+		  EditField_THGain.Text = chrb(me.Value)
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events Slider_STGain
+	#tag Event
+		Sub ValueChanged()
+		  ICSSerialPort1.Byte16 = chrb(me.Value)
+		  EditField_STGain.Text = chrb(me.Value)
+		  
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events PopupMenu_BackTiming
+	#tag Event
+		Sub Change()
+		  Select Case me.ListIndex
+		    
+		  Case 0
+		    ICSSerialPort1.Byte15 = chrb(&h01)
+		  Case 1
+		    ICSSerialPort1.Byte15 = chrb(&h05)
+		  Case 2
+		    ICSSerialPort1.Byte15 = chrb(&h0A)
+		  Case 3
+		    ICSSerialPort1.Byte15 = chrb(&h14)
+		  Case 4
+		    ICSSerialPort1.Byte15 = chrb(&h28)
+		  Case 5
+		    
+		  End Select
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events PopupMenu_VerticalInteria
+	#tag Event
+		Sub Change()
+		  Select Case me.ListIndex
+		    
+		  Case 0
+		    ICSSerialPort1.Byte13 = chrb(&h01)
+		  Case 1
+		    ICSSerialPort1.Byte13 = chrb(&h02)
+		  Case 2
+		    ICSSerialPort1.Byte13 = chrb(&h03)
+		  Case 3
+		    ICSSerialPort1.Byte13 = chrb(&h04)
+		  Case 4
+		    ICSSerialPort1.Byte13 = chrb(&hFF)
+		  Case 5
+		    
+		  End Select
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events PopupMenu_Nuetral
+	#tag Event
+		Sub Change()
+		  Select Case me.ListIndex
+		    
+		  Case 0
+		    ICSSerialPort1.Byte11 = chrb(&h82)
+		    ICSSerialPort1.Byte12 = chrb(&h7C)
+		    
+		  Case 1
+		    ICSSerialPort1.Byte11 = chrb(&h88)
+		    ICSSerialPort1.Byte12 = chrb(&h78)
+		    
+		  Case 2
+		    ICSSerialPort1.Byte11 = chrb(&h94)
+		    ICSSerialPort1.Byte12 = chrb(&h6C)
+		    
+		  Case 3
+		    
+		  End Select
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events PopupMenu_DFreq
+	#tag Event
+		Sub Change()
+		  Select Case me.ListIndex
+		    
+		  Case 0
+		    ICSSerialPort1.Byte08 = chrb(&h40)
+		  Case 1
+		    ICSSerialPort1.Byte08 = chrb(&h78)
+		  Case 2
+		    ICSSerialPort1.Byte08 = chrb(&hFF)
+		  Case 3
+		    
+		  End Select
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events PopupMenu_Dump
+	#tag Event
+		Sub Change()
+		  Select Case me.ListIndex
+		    
+		  Case 0
+		    ICSSerialPort1.Byte07 = chrb(&h01)
+		  Case 1
+		    ICSSerialPort1.Byte07 = chrb(&h02)
+		  Case 2
+		    
+		  End Select
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events PopupMenu_DBand
+	#tag Event
+		Sub Change()
+		  Select Case me.ListIndex
+		    
+		  Case 0
+		    ICSSerialPort1.Byte06 = chrb(&h01)
+		  Case 1
+		    ICSSerialPort1.Byte06 = chrb(&h02)
+		  Case 2
+		    ICSSerialPort1.Byte06 = chrb(&h03)
+		  Case 3
+		    
+		  End Select
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events Slider_Punch
+	#tag Event
+		Sub ValueChanged()
+		  ICSSerialPort1.Byte05 = chrb(me.Value)
+		  EditField_Punch.Text = chrb(me.Value)
+		  
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events PopupMenu_Speed
+	#tag Event
+		Sub Change()
+		  Select Case me.ListIndex
+		    
+		  Case 0
+		    ICSSerialPort1.Byte04 = chrb(&h0A)
+		  Case 1
+		    ICSSerialPort1.Byte04 = chrb(&h14)
+		  Case 2
+		    ICSSerialPort1.Byte04 = chrb(&h1E)
+		  Case 3
+		    ICSSerialPort1.Byte04 = chrb(&h28)
+		  Case 4
+		    ICSSerialPort1.Byte04 = chrb(&hFF)
+		  Case 5
+		    
+		  End Select
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events PopupMenu_Gain
+	#tag Event
+		Sub Change()
+		  Select Case me.ListIndex
+		    
+		  case 0
+		    ICSSerialPort1.Byte03 = chrb(&h32)
+		    
+		  case 1
+		    ICSSerialPort1.Byte03 = chrb(&h64)
+		    
+		  case 2
+		    ICSSerialPort1.Byte03 = chrb(&hFF)
+		    
+		  case 3
+		    
+		  End Select
+		  
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events PopupMenu_CarType
+	#tag Event
+		Sub Change()
+		  ICSSerialPort1.setCarType(me.Text)
+		  disableControls
+		  
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte17
+	#tag Event
+		Function KeyDown(Key As String) As Boolean
+		  //Make sure we have a valid value if not then set it to something
+		  if val(me.Text) > 255 or val(me.Text) < 0 then
+		    me.Text = "255"
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte17 = chrb(i)
+		End Function
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte16
+	#tag Event
+		Function KeyDown(Key As String) As Boolean
+		  //Make sure we have a valid value if not then set it to something
+		  if val(me.Text) > 255 or val(me.Text) < 0 then
+		    me.Text = "255"
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte16 = chrb(i)
+		End Function
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte15
+	#tag Event
+		Function KeyDown(Key As String) As Boolean
+		  //Make sure we have a valid value if not then set it to something
+		  if val(me.Text) > 255 or val(me.Text) < 0 then
+		    me.Text = "255"
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte15 = chrb(i)
+		End Function
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte14
+	#tag Event
+		Function KeyDown(Key As String) As Boolean
+		  //Make sure we have a valid value if not then set it to something
+		  if val(me.Text) > 255 or val(me.Text) < 0 then
+		    me.Text = "255"
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte14 = chrb(i)
+		End Function
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte13
+	#tag Event
+		Function KeyDown(Key As String) As Boolean
+		  //Make sure we have a valid value if not then set it to something
+		  if val(me.Text) > 255 or val(me.Text) < 0 then
+		    me.Text = "255"
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte13 = chrb(i)
+		End Function
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte12
+	#tag Event
+		Function KeyDown(Key As String) As Boolean
+		  //Make sure we have a valid value if not then set it to something
+		  if val(me.Text) > 255 or val(me.Text) < 0 then
+		    me.Text = "255"
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte12 = chrb(i)
+		End Function
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte11
+	#tag Event
+		Function KeyDown(Key As String) As Boolean
+		  //Make sure we have a valid value if not then set it to something
+		  if val(me.Text) > 255 or val(me.Text) < 0 then
+		    me.Text = "255"
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte11 = chrb(i)
+		End Function
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte10
+	#tag Event
+		Function KeyDown(Key As String) As Boolean
+		  //Make sure we have a valid value if not then set it to something
+		  if val(me.Text) > 255 or val(me.Text) < 0 then
+		    me.Text = "255"
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte10 = chrb(i)
+		End Function
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte9
+	#tag Event
+		Function KeyDown(Key As String) As Boolean
+		  //Make sure we have a valid value if not then set it to something
+		  if val(me.Text) > 255 or val(me.Text) < 0 then
+		    me.Text = "255"
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte09 = chrb(i)
+		End Function
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte8
+	#tag Event
+		Function KeyDown(Key As String) As Boolean
+		  //Make sure we have a valid value if not then set it to something
+		  if val(me.Text) > 255 or val(me.Text) < 0 then
+		    me.Text = "255"
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte08 = chrb(i)
+		End Function
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte7
+	#tag Event
+		Function KeyDown(Key As String) As Boolean
+		  //Make sure we have a valid value if not then set it to something
+		  if val(me.Text) > 255 or val(me.Text) < 0 then
+		    me.Text = "255"
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte07 = chrb(i)
+		End Function
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte6
+	#tag Event
+		Function KeyDown(Key As String) As Boolean
+		  //Make sure we have a valid value if not then set it to something
+		  if val(me.Text) > 255 or val(me.Text) < 0 then
+		    me.Text = "255"
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte06 = chrb(i)
+		End Function
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte5
+	#tag Event
+		Function KeyDown(Key As String) As Boolean
+		  //Make sure we have a valid value if not then set it to something
+		  if val(me.Text) > 255 or val(me.Text) < 0 then
+		    me.Text = "255"
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte05 = chrb(i)
+		End Function
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte4
+	#tag Event
+		Function KeyDown(Key As String) As Boolean
+		  //Make sure we have a valid value if not then set it to something
+		  if val(me.Text) > 255 or val(me.Text) < 0 then
+		    me.Text = "255"
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte04 = chrb(i)
+		End Function
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte3
+	#tag Event
+		Sub TextChange()
+		  //Make sure we have a valid value if not then set it to something
+		  if val(me.Text) > 255 or val(me.Text) < 0 then
+		    me.Text = "255"
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte03 = chrb(i)
+		End Sub
+	#tag EndEvent
+#tag EndEvents
Index: /trunk/desktop/ICSSerialPort.rbbas
===================================================================
--- /trunk/desktop/ICSSerialPort.rbbas	(revision 6)
+++ /trunk/desktop/ICSSerialPort.rbbas	(revision 9)
@@ -103,4 +103,12 @@
 		Sub calculateChecksum()
 		  //Use this to calculate byte 18, the checksum
+		  
+		  valuesChanged()
+		End Sub
+	#tag EndMethod
+
+	#tag Method, Flags = &h0
+		Sub readCar()
+		  //Read values from the currently attached car
 		End Sub
 	#tag EndMethod
@@ -119,7 +127,4 @@
 		ASF
 		AD
-		
-		
-		
 	#tag EndNote
 
@@ -197,9 +202,224 @@
 	#tag EndProperty
 
-	#tag Property, Flags = &h21
-		Private carType As String = "MR-03"
-	#tag EndProperty
-
-
+	#tag Property, Flags = &h0
+		carType As String = "MR-03"
+	#tag EndProperty
+
+
+	#tag ViewBehavior
+		#tag ViewProperty
+			Name="Name"
+			Visible=true
+			Group="ID"
+			InheritedFrom="serial"
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="Index"
+			Visible=true
+			Group="ID"
+			Type="Integer"
+			InheritedFrom="serial"
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="Super"
+			Visible=true
+			Group="ID"
+			InheritedFrom="serial"
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="Left"
+			Visible=true
+			Group="Position"
+			InheritedFrom="serial"
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="Top"
+			Visible=true
+			Group="Position"
+			InheritedFrom="serial"
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="Baud"
+			Visible=true
+			Group="Behavior"
+			InitialValue="13"
+			Type="Integer"
+			EditorType="Enum"
+			InheritedFrom="serial"
+			#tag EnumValues
+				"0 - 300"
+				"1 - 600"
+				"2 - 1200"
+				"3 - 1800"
+				"4 - 2400"
+				"5 - 3600"
+				"6 - 4800"
+				"7 - 7200"
+				"8 - 9600"
+				"9 - 14400"
+				"10 - 19200"
+				"11 - 28800"
+				"12 - 38400"
+				"13 - 57600"
+				"14 - 115200"
+				"15 - 230400"
+			#tag EndEnumValues
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="Bits"
+			Visible=true
+			Group="Behavior"
+			InitialValue="3"
+			Type="Integer"
+			EditorType="Enum"
+			InheritedFrom="serial"
+			#tag EnumValues
+				"0 - 5 Data Bits"
+				"1 - 6 Data Bits"
+				"2 - 7 Data Bits"
+				"3 - 8 Data bits"
+			#tag EndEnumValues
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="Parity"
+			Visible=true
+			Group="Behavior"
+			InitialValue="0"
+			Type="Integer"
+			EditorType="Enum"
+			InheritedFrom="serial"
+			#tag EnumValues
+				"0 - No Parity"
+				"1 - Odd Parity"
+				"2 - EvenParity"
+			#tag EndEnumValues
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="Stop"
+			Visible=true
+			Group="Behavior"
+			InitialValue="0"
+			Type="Integer"
+			EditorType="Enum"
+			InheritedFrom="serial"
+			#tag EnumValues
+				"0 - 1 Stop Bit"
+				"1 - 1.5 Stop Bits"
+				"2 - 2 Stop Bits"
+			#tag EndEnumValues
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="XON"
+			Visible=true
+			Group="Behavior"
+			Type="Boolean"
+			InheritedFrom="serial"
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="CTS"
+			Visible=true
+			Group="Behavior"
+			Type="Boolean"
+			InheritedFrom="serial"
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="DTR"
+			Visible=true
+			Group="Behavior"
+			Type="Boolean"
+			InheritedFrom="serial"
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="byte01"
+			Group="Behavior"
+			InitialValue="&hFF"
+			Type="String"
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="byte11"
+			Group="Behavior"
+			Type="String"
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="byte12"
+			Group="Behavior"
+			Type="String"
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="byte13"
+			Group="Behavior"
+			Type="String"
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="byte14"
+			Group="Behavior"
+			Type="String"
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="byte15"
+			Group="Behavior"
+			Type="String"
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="byte16"
+			Group="Behavior"
+			Type="String"
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="byte17"
+			Group="Behavior"
+			Type="String"
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="byte18"
+			Group="Behavior"
+			Type="String"
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="byte02"
+			Group="Behavior"
+			Type="String"
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="byte03"
+			Group="Behavior"
+			Type="String"
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="byte04"
+			Group="Behavior"
+			Type="String"
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="byte05"
+			Group="Behavior"
+			Type="String"
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="byte06"
+			Group="Behavior"
+			Type="String"
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="byte07"
+			Group="Behavior"
+			Type="String"
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="byte08"
+			Group="Behavior"
+			Type="String"
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="byte09"
+			Group="Behavior"
+			Type="String"
+		#tag EndViewProperty
+		#tag ViewProperty
+			Name="byte10"
+			Group="Behavior"
+			Type="String"
+		#tag EndViewProperty
+	#tag EndViewBehavior
 End Class
 #tag EndClass
